MethodWithNext-class {methods} | R Documentation

## Class MethodWithNext, ~~class for ... ~~

### Description

~~ A concise (1-5 lines) description of what the class is ~~

### Objects from the Class

Objects can be created by calls of the form `new("MethodWithNext", ...)`. ~~ describe objects here ~~

### Slots

`.Data`:
  Object of class `"function"`; the actual function definition.
`nextMethod`:
  Object of class `"PossibleMethod"` the method to use in response to a `callNextMethod()` call.
`excluded`:
  Object of class `"list"`; one or more signatures excluded in finding the next method.
`target`:
  Object of class `"signature", from class "MethodDefinition"`
`defined`:
  Object of class `"signature", from class "MethodDefinition"`

### Extends

Class `"MethodDefinition"`, directly. Class `"function"`, from data part. Class `"PossibleMethod"`, by class "MethodDefinition". Class `"OptionalMethods"`, by class "MethodDefinition".

### Methods

findNextMethod
  `signature(method = "MethodWithNext")`: used internally by method dispatch.
loadMethod
  `signature(method = "MethodWithNext")`: used internally by method dispatch.
show
  `signature(object = "MethodWithNext")`

### See Also

`callNextMethod`, and `MethodDefinition-class`.

[Package Contents]